Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
clan::ViewGeometry Class Reference

`#include <view_geometry.h>`

## Public Member Functions
| ViewGeometry ()
| ViewGeometry (const StyleCascade &style)
Rectf | border_box () const
Rectf | content_box () const
Pointf | content_pos () const
Sizef | content_size () const
Rectf | margin_box () const
Rectf | padding_box () const

## Static Public Member Functions
static ViewGeometry | from_border_box (const StyleCascade &style, const Rectf &box)
static ViewGeometry | from_content_box (const StyleCascade &style, const Rectf &box)
static ViewGeometry | from_margin_box (const StyleCascade &style, const Rectf &box)
static ViewGeometry | from_padding_box (const StyleCascade &style, const Rectf &box)

## Public Attributes
float | border_bottom = 0.0f
float | border_left = 0.0f
float | border_right = 0.0f
float | border_top = 0.0f
float | content_height = 0.0f
float | content_width = 0.0f
float | content_x = 0.0f
float | content_y = 0.0f
float | margin_bottom = 0.0f
float | margin_left = 0.0f
float | margin_right = 0.0f
float | margin_top = 0.0f
float | padding_bottom = 0.0f
float | padding_left = 0.0f
float | padding_right = 0.0f
float | padding_top = 0.0f

## Constructor & Destructor Documentation

clan::ViewGeometry::ViewGeometry | ( |  | ) |
| inline

clan::ViewGeometry::ViewGeometry | ( | const StyleCascade & | style | ) |

## Member Function Documentation

Rectf clan::ViewGeometry::border_box | ( |  | ) | const

Rectf clan::ViewGeometry::content_box | ( |  | ) | const

Pointf clan::ViewGeometry::content_pos | ( |  | ) | const

Sizef clan::ViewGeometry::content_size | ( |  | ) | const

static ViewGeometry clan::ViewGeometry::from_border_box | ( | const StyleCascade & | style,
|  | const Rectf & | box
| ) |  |
| static

static ViewGeometry clan::ViewGeometry::from_content_box | ( | const StyleCascade & | style,
|  | const Rectf & | box
| ) |  |
| static

static ViewGeometry clan::ViewGeometry::from_margin_box | ( | const StyleCascade & | style,
|  | const Rectf & | box
| ) |  |
| static

static ViewGeometry clan::ViewGeometry::from_padding_box | ( | const StyleCascade & | style,
|  | const Rectf & | box
| ) |  |
| static

Rectf clan::ViewGeometry::margin_box | ( |  | ) | const

Rectf clan::ViewGeometry::padding_box | ( |  | ) | const

## Member Data Documentation

float clan::ViewGeometry::border_bottom = 0.0f

float clan::ViewGeometry::border_left = 0.0f

float clan::ViewGeometry::border_right = 0.0f

float clan::ViewGeometry::border_top = 0.0f

float clan::ViewGeometry::content_height = 0.0f

float clan::ViewGeometry::content_width = 0.0f

float clan::ViewGeometry::content_x = 0.0f

float clan::ViewGeometry::content_y = 0.0f

float clan::ViewGeometry::margin_bottom = 0.0f

float clan::ViewGeometry::margin_left = 0.0f

float clan::ViewGeometry::margin_right = 0.0f

float clan::ViewGeometry::margin_top = 0.0f

float clan::ViewGeometry::padding_bottom = 0.0f

float clan::ViewGeometry::padding_left = 0.0f

float clan::ViewGeometry::padding_right = 0.0f

float clan::ViewGeometry::padding_top = 0.0f

The documentation for this class was generated from the following file:

- view_geometry.h